	megaHoverStartsAtWidth = 992;
	
	jQuery(document).ready(function() {
	
			var config = {    
				sensitivity: 2, // number = sensitivity threshold (must be 1 or higher)    
				interval: 100, // number = milliseconds for onMouseOver polling interval    
				over: megaHoverOver, // function = onMouseOver callback (REQUIRED)    
				timeout: 500, // number = milliseconds delay before onMouseOut    
				out: megaHoverOut // function = onMouseOut callback (REQUIRED)    
			};
			
			jQuery(".pg_nav > li > .dropdown-menu").css({'opacity':'0', 'display':'none'});
			jQuery(".pg_nav li.dropdown").hoverIntent(config);
			
			
			
			/* Main Menu - multiEpiloges */
			/* after hoverIntent should unbind first and then rebind */
			jQuery(window).resize(function(){
				jQuery("#mainnav li.dropdown").removeClass('open');
				if (jQuery(this).width() < megaHoverStartsAtWidth) {
					// Override Bootstrap Nav Menu
					// li a.dropdown_btn OR li b.pg_arrows
					jQuery('#mainnav li a.dropdown_btn').unbind('click.mainNavigation');
					jQuery('#mainnav li a.dropdown_btn').bind('click.mainNavigation', function(event) {
						// Avoid following the href location when clicking
						// Avoid having the menu to close when clicking
						event.preventDefault(); 			
						event.stopPropagation();
						// remove class "open" (close dropdowns) from all <li> of the same sub category
						// add class "open" (open this dropdown) of clicked li
						var openLi = jQuery(this).parent();
						if ((openLi).hasClass('open')){
							openLi.parent().find("li.dropdown").removeClass('open');
						}else{
							openLi.parent().find("li.dropdown").removeClass('open');
							openLi.addClass('open');
						}
						setTimeout(function(){
							jQuery('html,body').animate({
								scrollTop: jQuery(openLi).parent().offset().top - 50}, '800');
						}, 300);
					});	
				}else{
					jQuery('#mainnav li a.dropdown_btn').unbind('click.mainNavigation');
				}	
			});
			jQuery(window).trigger('resize');
			
			
			
			
			
			
			// run our function on load
			sticky_navigation();
			// and run it again every time you resize
			jQuery( window ).resize(function(){
				jQuery(".pg_navbar").removeClass("toggled");
				sticky_navigation();
			});
			// and run it again every time you scroll
			jQuery(window).scroll(function() {
				sticky_navigation();
			});
			
	
			
			jQuery('.fa.toggle_menu').click(function (event) {
				jQuery(".pg_navbar").addClass("toggled");
			});
			jQuery('.fa.close_menu').click(function (event) {
				jQuery(".pg_navbar").removeClass("toggled");
			});
			
					
	
			jQuery('.pg_footer_arrows').click(function () {
				jQuery(this).toggleClass('pg_active_arrows');
			});
	
			jQuery('.pg_menu_arrows').click(function (){
				jQuery(this).toggleClass('pg_active_arrows');
			});
			
		
		
			
			
			/* image caption and image hover */
			
		
			/* animate banner */
			jQuery("#banner_nr013000005").addClass('wow zoomInRight');
			jQuery("#banner_nr013000006").addClass('wow zoomInLeft');
			jQuery("#banner_nr013000007").addClass('wow slideInDown');
			jQuery("#banner_nr013000008").addClass('wow slideInUp');	
			
			/* animate photos banner */	
			jQuery("#banner_nr013000010 .images.img1").addClass('wow fadeInLeft');
			jQuery("#banner_nr013000010 .images.img5").addClass('wow fadeInRight');
			
			/* animate brands banner */	
			jQuery("#banner_nr013000011 .brand_images.img1").addClass('wow fadeInLeft');
			jQuery("#banner_nr013000011 .brand_images.img2").addClass('wow fadeInLeft');
			jQuery("#banner_nr013000011 .brand_images.img3").addClass('wow fadeInLeft');
			jQuery("#banner_nr013000011 .brand_images.img4").addClass('wow fadeInRight');	
			jQuery("#banner_nr013000011 .brand_images.img5").addClass('wow fadeInRight');
			jQuery("#banner_nr013000011 .brand_images.img6").addClass('wow fadeInRight');
			
			new WOW().init();
		
			
	});		
	
	
	jQuery(document).ready(function() {
		
		/* magnific Popup */
		jQuery('#banner_nr013000010 .banner').magnificPopup({
			delegate: 'a',
			type: 'image',
			closeOnContentClick: false,
			closeBtnInside: false,
			mainClass: 'mfp-with-zoom mfp-img-mobile',
			image: {
				verticalFit: true
			},
			gallery: {
				enabled: true
			},
			zoom: {
				enabled: true,
				duration: 300, // don't foget to change the duration also in CSS
				opener: function(element) {
					return element.find('img');
				}
			}
			
		});
		
		
		/* Tooltips */
		jQuery('.pg_tooltip_top').tooltip({placement:'top'}); 
		jQuery('.pg_tooltip_bottom').tooltip({placement:'bottom'}); 
		jQuery('.pg_tooltip_left').tooltip({placement:'left'}); 
		jQuery('.pg_tooltip_right').tooltip({placement:'right'}); 
		jQuery('.pg_tooltip').tooltip({placement:'auto'});
		
	});
	
	
	function megaHoverOver(){
		if (jQuery( window ).width() >= megaHoverStartsAtWidth) {
			jQuery(this).find(".dropdown-menu").stop().fadeTo('fast', 1).show();
		} else {
			jQuery(this).find(".dropdown-menu").css({'opacity':'', 'display':''});
		}
	}
	
	function megaHoverOut(){ 
		if (jQuery( window ).width() >= megaHoverStartsAtWidth) {
			jQuery(this).find(".dropdown-menu").stop().fadeTo('fast', 0).hide(); 
		}else {
			jQuery(this).find(".dropdown-menu").css({'opacity':'', 'display':''});
		}
	}
	
	// our function that decides weather the navigation bar should have "fixed" css position or not.
	function sticky_navigation(){
		var header_row_height = jQuery('#header .first_row').height(); // current height of header's row
		var scroll_top = jQuery(window).scrollTop(); // our current vertical position from the top
		// if we've scrolled more than the header's row, change its position to fixed to stick to top, otherwise change it back to relative
		if (scroll_top > header_row_height) { 
			jQuery('.to_be_sticky').css({'position':'fixed', 'top':0}).addClass('sticky_menu');			
		} else {
			/* width limit for sticky menu */
			if (jQuery( window ).width() >= megaHoverStartsAtWidth) {
				jQuery('#main_content').css({'margin-top': 0});
				jQuery('.to_be_sticky').css({'position':'relative'});
			} else {
				jQuery('.to_be_sticky').css({'position':'fixed', 'top':0});
			}
			jQuery('.to_be_sticky').removeClass('sticky_menu');
		}
	}
		
	function BootstrapModalPopUp(link , name , width , height , title){
		try {
			jQuery('#'+name).modal('hide');
			jQuery('#'+name).remove();		
		} catch (e) {
		
		}
		var html_code = '';
		var new_width = parseInt(width);
		
		var modal_size = '';
		if(new_width>600){
			modal_size = "modal-lg";
		}else if(new_width<310){
			modal_size = "modal-sm";
		}
		html_code = '<div id="'+name+'" class="modal fade" aria-labelledby="'+name+'Label" role="dialog aria-hidden="true" tabindex="-1">';
		html_code = html_code+'<div class="modal-dialog '+modal_size+'">';
		html_code = html_code+'<div class="modal-content">';
		html_code = html_code+'<div class="modal-header">';
		html_code = html_code+'<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>';
		if(title!=''){
			html_code = html_code+'<h4 class="modal-title" id="'+name+'Label">'+title+'</h4>';
		}
		html_code = html_code+'</div><div class="modal-body"></div>';
		html_code = html_code+'<div class="modal-footer"><cite>Powered by <a href="http://www.pegasus.net.gr" target="_blank">Pegasus Technology</a></cite></div>';
		html_code = html_code+'</div></div></div>';
		jQuery('body').append(html_code);
		jQuery('#'+name+' .modal-body').load(link);
		jQuery('#'+name).modal('show');
	}
	/* Arrow that goes to top */
	(function($){
		$.fn.UItoTop = function(options) {
			var defaults = {
					/* do not display "To Top"*/
					//text: 'To Top',
					text: '',
					min: 300,
					inDelay:600,
					outDelay:400,
					containerID: 'toTop',
					containerHoverID: 'toTopHover',
					scrollSpeed: 1200,
					easingType: 'linear'
				},
				settings = $.extend(defaults, options),
				containerIDhash = '#' + settings.containerID,
				containerHoverIDHash = '#'+settings.containerHoverID;
			
			$('body').append('<a href="#" id="'+settings.containerID+'">'+settings.text+'</a>');
			$(containerIDhash).hide().on('click.UItoTop',function(){
				$('html, body').animate({scrollTop:0}, settings.scrollSpeed, settings.easingType);
				$('#'+settings.containerHoverID, this).stop().animate({'opacity': 0 }, settings.inDelay, settings.easingType);
				return false;
			})
			.prepend('<span id="'+settings.containerHoverID+'"></span>')
			.hover(function() {
					$(containerHoverIDHash, this).stop().animate({
						'opacity': 1
					}, 600, 'linear');
				}, function() { 
					$(containerHoverIDHash, this).stop().animate({
						'opacity': 0
					}, 700, 'linear');
				});
						
			$(window).scroll(function() {
				var sd = $(window).scrollTop();
				if(typeof document.body.style.maxHeight === "undefined") {
					$(containerIDhash).css({
						'position': 'absolute',
						'top': sd + $(window).height() - 50
					});
				}
				if ( sd > settings.min ) 
					$(containerIDhash).fadeIn(settings.inDelay);
				else 
					$(containerIDhash).fadeOut(settings.Outdelay);
			});
		};
	})(jQuery);	